package com.tax.file.job;

import com.dangdang.ddframe.job.api.ShardingContext;
import com.dangdang.ddframe.job.api.simple.SimpleJob;
import com.tax.file.service.async.income.IncomeApplyTask;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class IncomeApplyJob implements SimpleJob {
    private static final Logger logger = LoggerFactory.getLogger(IncomeApplyJob.class);

    @Autowired
    private IncomeApplyTask incomeApplyTask;

    @Override
    public void execute(ShardingContext shardingContext) {
        logger.info("IncomeApplyJob is start");
        incomeApplyTask.apply();
        logger.info("IncomeApplyJob is end");
    }
}
